package cn.iocoder.yudao.module.order.convert.orderWarehouseAdjust;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderWarehouseAdjust.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseAdjust.OrderWarehouseAdjustDO;

/**
 * 调仓记录 Convert
 * @author yanghao
 */
@Mapper
public interface OrderWarehouseAdjustConvert {
    /*****转换MapStruct*****/
    OrderWarehouseAdjustConvert INSTANCE = Mappers.getMapper(OrderWarehouseAdjustConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderWarehouseAdjustDO convert(OrderWarehouseAdjustCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderWarehouseAdjustDO convert(OrderWarehouseAdjustUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderWarehouseAdjustBackVO convert(OrderWarehouseAdjustDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderWarehouseAdjustBackVO> convertList(List<OrderWarehouseAdjustDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderWarehouseAdjustBackVO> convertPage(PageResult<OrderWarehouseAdjustDO> page);
}
